%define anolis_release 1
%global sdkver 1.4.304.0

Name:           glslang
Version:        15.1.0
Release:        %{anolis_release}%{?dist}
Summary:        OpenGL and OpenGL ES shader front end and validator

License:        BSD and GPLv3+ and ASL 2.0
URL:            https://github.com/KhronosGroup/%{name}
Source0:        https://github.com/KhronosGroup/glslang/archive/vulkan-sdk-%{sdkver}.tar.gz#/%{name}-sdk-%{sdkver}.tar.gz
Patch1:         0001-pkg-config-compatibility.patch

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(SPIRV-Tools) >= 2019.2.1
Requires: spirv-tools-sdk-libs >= %{sdkver}

%description
%{name} is the official reference compiler front end for the OpenGL
ES and OpenGL shading languages. It implements a strict
interpretation of the specifications for these languages.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-sdk = %{sdkver}

%description    devel
%{name} is the official reference compiler front end for the OpenGL
ES and OpenGL shading languages. It implements a strict
interpretation of the specifications for these languages.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
Buildarch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}-vulkan-sdk-%{sdkver}
head -n7 CHANGES.md | grep "%{version}"

%build
%cmake \
        -DCMAKE_BUILD_TYPE=Release \
        -DBUILD_SHARED_LIBS=OFF
%cmake_build

%install
%{cmake_install}

%check
%ctest

%files
%doc README.md README-spirv-remap.txt
%{_bindir}/glslang
%{_bindir}/glslangValidator
%{_bindir}/spirv-remap

%files doc
%doc README.md README-spirv-remap.txt

%files devel
%{_includedir}/glslang/
%{_libdir}/libOSDependent.a
%{_libdir}/libSPIRV.a
%{_libdir}/libSPVRemapper.a
%{_libdir}/libglslang.a
%{_libdir}/libGenericCodeGen.a
%{_libdir}/libMachineIndependent.a
%{_libdir}/libglslang-default-resource-limits.a
%{_libdir}/pkgconfig/glslang.pc
%{_libdir}/pkgconfig/spirv.pc
%{_libdir}/cmake/*

%changelog
* Tue Feb 18 2025 gaochang <gc-taifu@linux.alibaba.com> - 15.1.0-1
- Update to 15.1.0
- Update sdkver to 1.4.304.0
- Add patch to fix build issue
  [Patches cherry-picked from c10s. Original changelog:
  - Update to 1.4.304.0 SDK (15.1.0-1)]

* Wed Mar 29 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 12.0.0-2
- Del Specific Fields

* Fri Feb 10 2023 Funda Wang <fundawang@yeah.net> - 12.0.0-1
- Import package for anolis 23
- Build static libs per default by upstream
- Add patch linking against spirv-tools
